import Layout from '@/layout'
// 耗材管理路由 com
const consumablesRouter = [
  // {
  //   path: '/standard',
  //   hidden: true,
  //   redirect: '/reagent/mainoverview/index',
  //   meta: { classification: 'standard', module_code: 'MainOverview' }
  // },
  {
    path: '/consumables/mainoverview',
    component: Layout,
    redirect: '/consumables/mainoverview/index',
    meta: { classification: 'consumables', module_code: 'MainOverview' },
    children: [
      {
        path: 'index',
        name: 'standardMainOverview',
        meta: { title: '主预览', icon: '主概览', classification: 'consumables' },
        component: () => import('@/views/reagent/mainoverview/index')
      }
    ]
  },
  {
    path: '/consumables/report',
    component: Layout,
    redirect: '/consumables/report/index',
    meta: { classification: 'consumables', module_code: 'DataReportIndex' },
    children: [
      {
        path: 'index',
        name: 'standardReport',
        component: () => import('@/views/reagent/report/index'),
        meta: { title: '报告统计', icon: '报表统计', classification: 'consumables' }
      },
      {
        path: 'storeinfo',
        name: 'standardStoreInfo',
        component: () => import('@/views/reagent/report/storeinfo/index'),
        hidden: true,
        meta: { title: '库存信息总览', icon: '报表统计', classification: 'consumables', activeMenu: '/consumables/report/index' }
      },
      {
        path: 'standardinfo',
        name: 'standardInfo',
        component: () => import('@/views/reagent/report/reagentinfo/index'),
        hidden: true,
        meta: { title: '耗材信息详情', icon: '报表统计', classification: 'consumables', activeMenu: '/consumables/report/index' }
      },
      {
        path: 'warehousinginfo',
        name: 'standardWarehousingInfo',
        component: () => import('@/views/reagent/report/warehousinginfo/index'),
        hidden: true,
        meta: { title: '入库信息查询', icon: '报表统计', classification: 'consumables', activeMenu: '/consumables/report/index' }
      },
      {
        path: 'inventoryconsuminfo',
        name: 'standardInventoryConsumInfo',
        component: () => import('@/views/reagent/report/inventoryconsum/index'),
        hidden: true,
        meta: { title: '库存消耗', icon: '报表统计', classification: 'consumables', activeMenu: '/consumables/report/index' }
      },
      {
        path: 'standardconsuminfo',
        name: 'standardConsumInfo',
        component: () => import('@/views/reagent/report/reagentconsum/index'),
        hidden: true,
        meta: { title: '耗材消耗', icon: '报表统计', classification: 'consumables', activeMenu: '/consumables/report/index' }
      },
      {
        path: 'userconsuminfo',
        name: 'standardUserConsumInfo',
        component: () => import('@/views/reagent/report/userconsum/index'),
        hidden: true,
        meta: { title: '人员用量消耗', icon: '报表统计', classification: 'consumables', activeMenu: '/consumables/report/index' }
      },
      {
        path: 'usefrequencyinfo',
        name: 'standardUseFrequencyInfo',
        component: () => import('@/views/reagent/report/usefrequency/index'),
        hidden: true,
        meta: { title: '使用频率', icon: '报表统计', classification: 'consumables', activeMenu: '/consumables/report/index' }
      },
      {
        path: 'recordinfo/:t',
        name: 'standardRecordInfo',
        component: () => import('@/views/reagent/report/record/index'),
        hidden: true,
        meta: { title: '记录', icon: '报表统计', classification: 'consumables', activeMenu: '/consumables/report/index' }
      }
    ]
  },
  {
    path: '/consumables/warehousing',
    component: Layout,
    redirect: '/consumables/warehousing/index',
    meta: { classification: 'consumables', module_code: 'DataReportIndex' },
    children: [
      {
        path: 'index',
        name: 'standardWarehousing',
        component: () => import('@/views/reagent/warehousing/index'),
        meta: { title: '耗材入库', icon: '试剂入库', classification: 'consumables' }
      }
    ]
  },
  {
    path: '/consumables/receiving',
    component: Layout,
    redirect: '/consumables/receiving/index',
    meta: { classification: 'consumables', module_code: 'ConsumablesUseView' },
    children: [
      {
        path: 'index',
        name: 'standardReceiving',
        component: () => import('@/views/reagent/receivingandreturn/index'),
        meta: { title: '耗材领用', icon: '试剂领用', classification: 'consumables' }
      }
    ]
  },
  {
    path: '/consumables/sendback',
    component: Layout,
    redirect: '/consumables/sendback/index',
    meta: { classification: 'consumables', module_code: 'ConsumablesReturnView' },
    children: [
      {
        path: 'index',
        name: 'standardSendBack',
        component: () => import('@/views/reagent/receivingandreturn/index'),
        meta: { title: '耗材归还', icon: '试剂归还', classification: 'consumables' }
      }
    ]
  },
  {
    path: '/consumables/weighing',
    component: Layout,
    redirect: '/consumables/weighing/index',
    meta: { classification: 'consumables', module_code: 'ConsumablesWeigh' },
    children: [
      {
        path: 'index',
        name: 'standardweighing',
        component: () => import('@/views/reagent/weighing/index'),
        meta: { title: '耗材称重', icon: '试剂称重', classification: 'consumables' }
      }
    ]
  },
  {
    path: '/consumables/inventory',
    component: Layout,
    redirect: '/consumables/inventory/index',
    meta: { classification: 'consumables', module_code: 'StockTakingIndex' },
    children: [
      {
        path: 'index',
        name: 'standardInventory',
        component: () => import('@/views/reagent/inventory/index'),
        meta: { title: '耗材盘点', icon: '库存盘点', classification: 'consumables' }
      }
    ]
  },
  {
    path: '/consumables/database',
    component: Layout,
    redirect: '/consumables/database/msds',
    meta: { title: '化学品数据库', icon: '化学品数据库', classification: 'consumables', module_code: 'ChemicaDatabase' },
    children: [
      {
        path: 'msds',
        name: 'standardMSDS',
        component: () => import('@/views/reagent/database/index'),
        meta: { title: 'MSDS数据库', classification: 'consumables' }
      },
      {
        path: 'dangerous',
        name: 'standardDangerous',
        component: () => import('@/views/reagent/database/index'),
        meta: { title: '危化品数据库', classification: 'consumables' }
      }
    ]
  },
  {
    path: '/consumables/management',
    component: Layout,
    redirect: '/consumables/management/index',
    meta: { classification: 'consumables', module_code: 'ConsumablesIndex' },
    children: [
      {
        path: 'index',
        name: 'standardManagement',
        component: () => import('@/views/reagent/management/data/index'),
        meta: { title: '耗材管理', icon: '试剂管理', classification: 'consumables' }
      }
    ]
  },
  {
    path: '/consumables/client',
    component: Layout,
    redirect: '/consumables/client/index',
    meta: { classification: 'consumables', module_code: 'CabinetIndex' },
    children: [
      {
        path: 'index',
        name: 'standardClient',
        component: () => import('@/views/reagent/client/index'),
        meta: { title: '柜体管理', icon: '柜体管理', classification: 'consumables' }
      }
    ]
  },
  {
    path: '/consumables/envrecord',
    component: Layout,
    redirect: '/consumables/envrecord/index',
    meta: { classification: 'consumables', module_code: 'HumitureIndex' },
    children: [
      {
        path: 'index',
        name: 'standardEnvRecord',
        component: () => import('@/views/reagent/envrecord/index'),
        meta: { title: '环境记录', icon: '雪花', classification: 'consumables' }
      }
    ]
  },
  {
    path: '/consumables/form',
    component: Layout,
    redirect: '/consumables/form/index',
    meta: { classification: 'consumables', module_code: 'ConsumablesCustomForm' },
    children: [
      {
        path: 'index',
        name: 'standardForm',
        component: () => import('@/views/reagent/customform/index'),
        meta: { title: '耗材表单自定义', icon: '表单', classification: 'consumables' }
      }
    ]
  },
  {
    path: '/consumables/gotohome',
    redirect: '/home',
    meta: { title: '返回主页', icon: 'el-icon-arrow-left', classification: 'consumables' }
  }
]

export default consumablesRouter
