// import Layout from '@/layout'

import Layout from '@/layout'

const userRouter = [
  {
    path: '/user/info',
    component: Layout,
    redirect: '/user/info/index',
    meta: { classification: 'user', module_code: 'UserIndex' },
    children: [
      {
        path: 'index',
        component: () => import('@/views/user/index'),
        name: 'UserInfo',
        meta: { title: '用户信息', icon: '用户信息', classification: 'user' }
      }
    ]
  },
  {
    path: '/user/role',
    component: Layout,
    redirect: '/user/role/index',
    meta: { classification: 'user', module_code: 'UserRoleIndex' },
    children: [
      {
        path: 'index',
        component: () => import('@/views/user/role/index'),
        name: 'Role',
        meta: { title: '角色信息', icon: '角色信息', classification: 'user' }
      }
    ]
  },
  {
    path: '/user/gotohome',
    redirect: '/home',
    meta: { title: '返回主页', icon: 'el-icon-arrow-left', classification: 'user' }
  }
]

export default userRouter
